Bug 1013583 - IPV6 not completing initialization
IPV6 not completing initialization
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 07:54 EDT by Gene Czarcinski
Modified: 2013-10-09 10:52 EDT (History)
3 users (show)

See Also:
Fixed In Version: NetworkManager-0.9.9.0-14.git20131003.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 10:52:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
selected syslog around enabling IP with IPv6 on DHCP (81.45 KB, text/x-log)
2013-10-01 09:46 EDT, Gene Czarcinski
no flags Details

  None (edit)
Description Gene Czarcinski 2013-09-30 07:54:05 EDT
Description of problem:
Specifying that IPV6 is on with "automatic".  Initialization appears to proceed correctly but the actual interface is not initialized (does not get an IPv6 address).  The following message is in the syslog:

   nm_platform_ip6_address_add: assertion 'plen > 0' failed

Version-Release number of selected component (if applicable):
Fedora 20 alpha,  NetworkManager-0.9.9.0-12.git20130913.fc20.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1.Install
2.Enable IPv6
3.

Actual results:


Expected results:


Additional info:
Comment 1 Gene Czarcinski 2013-09-30 08:06:30 EDT
Note: Manually specifying the IPv6 address works.
Comment 2 Gene Czarcinski 2013-09-30 08:31:29 EDT
I can reproduce this on both real hardware and KVM virtuals.
Comment 3 Dan Williams 2013-09-30 11:56:09 EDT
Any idea what the radvd configuration on your IPv6 router is?

Also, please do this:

sudo dbus-send --system --print-reply --dest=org.freedesktop.NetworkManager /org/freedesktop/NetworkManager org.freedesktop.NetworkManager.SetLogging string:"debug" string:""

and reproduce the problem, then attach the syslog/systemd journal output so we can see what's going on with IPv6.
Comment 4 Gene Czarcinski 2013-10-01 09:14:14 EDT
The "router" supporting the local network is running Fedora 18 with dnsmasq 2.65-6 used to provide name, dhcp, and radvd services.  Here are the pertainent configuration values:
#########################################################
domain=lcl

dhcp-range=192.168.18.129,192.168.18.199,255.255.255.0,12h

dhcp-range=fd00:dead:beef:18::100,fd00:dead:beef:18::1fe,64,12h

# dnsmasq will be doing the RA service also
enable-ra
########################################################

This has been and continues to work fine supporting Fedora 18, Fedora 19, and Windows dual stack (IPv4 and IPv6) systems.
Comment 5 Gene Czarcinski 2013-10-01 09:46:50 EDT
Created attachment 805984 [details]
selected syslog around enabling IP with IPv6 on DHCP

This was on real hardware.  I can also do this on a KVM virtual.  In that case, dns, dhcp, and radvd are provided by dnsmasq-2.66-10 running on Fedora 19 host.

Given that I can duplicate this more or less out-of-the-box, you should be able to do that also ... but, maybe I am doing something different.  Currently, I am running my v-m stuff standard F19.
Comment 6 Dan Williams 2013-10-01 16:45:25 EDT
Fixed upstream as d3aae79e5c7ec24553b3d10bc640f418aceb65ef, thanks for the report.
Comment 7 Fedora Update System 2013-10-03 15:51:29 EDT
NetworkManager-0.9.9.0-14.git20131003.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.9.0-14.git20131003.fc20
Comment 8 Fedora Update System 2013-10-04 21:42:58 EDT
Package NetworkManager-0.9.9.0-14.git20131003.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.9.9.0-14.git20131003.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18316/NetworkManager-0.9.9.0-14.git20131003.fc20
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-10-09 10:52:13 EDT
NetworkManager-0.9.9.0-14.git20131003.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.